Summary: LaTeX to HTML converter.
Name: latex2html
Version: 98.1p1
Release: 6
Group: Applications/Publishing/TeX
Copyright: GNU
Url: http://www-dsed.llnl.gov/files/programs/unix/latex2html/sources/
Packager: Hao Li <hli@wag.caltech.edu>
Source: http://www-dsed.llnl.gov/files/programs/unix/latex2html/sources/%{name}-%{version}.tar.gz
# dependence on /usr/bin/perl can be automatically detected
Requires: teTeX, ghostscript, libgr-progs, giftrans
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-root

%description
Elaborate perl program to convert latex documents to html, using LaTeX
to process images and equations.  This RPM Release adds the giftrans
requirement and sets PK_GENERATION to 1.


%prep
%setup -q -n latex2html
# Specify Perl location
find . -type f -perm -100 \
	-exec perl -pi -e 's|/usr/local/bin/perl|/usr/bin/perl|g' {} ";"
# html.sty in docs/ is obsolete and should be replaced by the one in texinputs/
cp -pf texinputs/html.sty docs


%build


%install
rm -rf   $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/share/texmf/tex/latex/latex2html
cp    -p texinputs/* $RPM_BUILD_ROOT/usr/share/texmf/tex/latex/latex2html

mkdir -p $RPM_BUILD_ROOT/usr/lib/latex2html
# pstoimg_nopipes is omitted
cp   -pr configure-pstoimg install-test latex2html makemap pstoimg texexpand \
	 Override.pm latex2html.config \
	 icons.gif styles versions \
	 $RPM_BUILD_ROOT/usr/lib/latex2html

mkdir -p $RPM_BUILD_ROOT/usr/bin
ln   -sf /usr/lib/latex2html/latex2html $RPM_BUILD_ROOT/usr/bin

(
cd $RPM_BUILD_ROOT/usr/lib/latex2html; ./install-test <<EOF

y

g




EOF

rm -f *.bak
find * -maxdepth 0 -type f -exec perl -pi -e 's|/var/tmp/%{name}-root||g' {} ";"
perl -pi -e 's|\$LOCAL_ICONS = 0|\$LOCAL_ICONS = 1|g' latex2html.config
perl -pi -e 's|\$PK_GENERATION = 0|\$PK_GENERATION = 1|g' latex2html.config
perl -pi -e 's|# \$DVIPS_MODE = "toshiba"|\$DVIPS_MODE = "toshiba"|g' \
	latex2html.config
)

# Perhaps we should compile and install the manual, but it is too huge!
#
# texhash		# we'd like to use new styles, but effective only
#			# after installation
# make manual.dvi
# make manual.dvi	# for crossreferences
# make manual.ps
# make manual.html	# this seems to take several hours:

%post
texhash

%postun
texhash


%files
%defattr(-,root,root)
%doc Changes FAQ MANIFEST README README.dvips TODO dot.latex2html-init
%doc readme.hthtml example/
/usr/bin/latex2html
/usr/lib/latex2html
/usr/share/texmf/tex/latex/latex2html


%clean
rm -rf $RPM_BUILD_ROOT
